Package org.apache.nutch.tools

## Class ShowProperties

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.nutch.tools.ShowProperties

- All Implemented Interfaces:
    `Configurable`, `Tool`

      public class ShowProperties
      extends Configured
      implements Tool

  Tool to list properties and their values set by the current Nutch configuration

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ShowProperties()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(String[] args)` |
    `int` | `run​(String[] arg0)` |

    - ### Methods inherited from class org.apache.hadoop.conf.Configured

      `getConf, setConf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.conf.Configurable

      `getConf, setConf`

- - ### Constructor Detail

    - #### ShowProperties

          public ShowProperties()

  - ### Method Detail

    - #### run

          public int run​(String[] arg0)

      Specified by:
        `run` in interface `Tool`

    - #### main

          public static void main​(String[] args)
                           throws Exception

      Throws:
        `Exception`